# Updates a parameter definition.

Updates a parameter definition.

Endpoint: PUT /v1/parameter-definitions/{id}
Version: 1.0.0
Security: bearer, appkey

## Path parameters:

  - `id` (string, required)
    Id of a parameter definition

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request fields (application/json):

  - `id` (string, required)
    Gets or Sets Id

  - `name` (string, required)
    Gets or Sets Name

  - `type` (any, required)
    Gets or Sets Type

  - `level` (any, required)
    Gets or Sets Level

  - `unique_id` (string, required)
    Gets or Sets UniqueId

  - `description` (string)
    Gets or Sets Description

  - `is_available_as_ddi` (boolean)
    Gets or Sets IsAvailableAsDDI

  - `tags` (array)
    Gets or Sets Tags

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

